/* =========================================
   STILE PER CATEGORIE PRODOTTO (GRID)
   ========================================= */

/* Griglia contenitore */
.custom-category-grid {
    display: grid;
    grid-template-columns: repeat(var(--grid-cols, 3), 1fr);
    gap: 20px;
    row-gap: 70px;
    margin-bottom: 80px;
    padding: 0 60px;
}

.category-card, .card-product {
    position: relative;
    display: flex;
    flex-direction: column;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    height: 100%; 
}

.card-product,.category-card{
    background-color: var(--color-neutral-beige-light);
}

.category-card .category-image,.card-product .card-image  {
    position: relative;
    width: 100%;
}

.card-product .card-image  {
    border: 2px solid var(--color-neutral-beige-light);
}


.category-card .category-image a, .card-product .card-image a {
    display: block;
    width: 100%;
    height: 100%;
}

.card-product .card-image a {
    aspect-ratio: 5/4;
}

.category-card .category-image.subcategory a {
    aspect-ratio: 16/9;
}

.card-product .card-image img,.category-card .category-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.sold-out-badge {
    position: absolute;
    top: 24px;
    right: 24px;
    padding: 6px 16px;
    border-radius: 24px;
    z-index: 10;
    pointer-events: none;
}

.category-card .category-content,.card-product .card-content{
    padding: 24px 24px 55px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    position: relative;
    height: 100%;
}

.category-card .category-content{
    gap: 6px;
}

.card-product .card-content{
    gap: 11px;
}

.category-card .category-subtitle {
    text-transform: uppercase;
    display: block;
}

.card-product .card-subtitle {
    display: block;
}

.category-card .category-title,.card-product .card-title {
    margin: 0;
}

.card-product .card-title {
    text-transform: uppercase;
}

.category-card .category-button,.card-product .card-button {
    position: absolute;
    bottom: -22px;
    right: 50px;
    background-color: var(--color-primary);
    color: var(--color-background-white);
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    transition: all 0.4s cubic-bezier(0.4, 0, 0.2, 1);
    z-index: 2;
    padding: 15px
}

.category-card .category-button span, .card-product .card-button span {
  display: inline-block;
  max-width: 0;
  opacity: 0;
  margin-right: 0;
  overflow: hidden;
  transition: all 0.4s cubic-bezier(0.4, 0, 0.2, 1);
  text-transform: uppercase;
}

.category-card .category-button:hover span,.card-product .card-button:hover span {
  max-width: 300px;
  opacity: 1;
  margin-right: 8px;
}

.navigation.pagination{
    display: flex;
    justify-content: center;
    padding-bottom: 80px;
}

.navigation.pagination .page-numbers { 
    display: inline-flex;
    margin: 0 10px; 
    text-decoration: none;
    color: var(--color-primary);
    font-family: var(--typo-tag-regular-font);
    font-size: var(--typo-tag-size-regular);
    font-weight: var(--typo-tag-regular-fw);
    line-height: var(--typo-tag-regular-lh);
    letter-spacing: var(--typo-tag-regular-ls);
}

.navigation.pagination .prev.page-numbers { 
    rotate: 90deg;
}

.navigation.pagination .next.page-numbers { 
    rotate: 270deg;
}

.navigation.pagination .page-numbers.current {
    color: var(--color-background-white);
    padding: 8px 15px;
    border-radius: 20px;
    background: var(--color-primary);
}


@media (max-width: 768px) {
    .custom-category-grid {
        grid-template-columns: 1fr;
        gap: 24px;
        row-gap: 60px;
        padding: 20px 10px;
    }
    
    .category-content {
        padding: 20px 20px 30px 20px;
    }
}